Bug 5430 - Add Control number as option to OPACSearchForTitleIn
Summary: Add Control number as option to OPACSearchForTitleIn
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-24 06:20 UTC by Katrin Fischer
Modified: 2012-10-25 22:52 UTC (History)
1 user (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Proposed patch (3.54 KB, patch)
2010-11-24 06:29 UTC, Katrin Fischer
Details | Diff | Splinter Review
Follow up to previous patch, hopefully fixing problems with non existing 001 fields (1022 bytes, patch)
2010-11-28 12:39 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2010-11-24 06:20:35 UTC
OPACSearchForTitleIn currently supports {TITLE}, {ISBN} and {AUTHOR}. 

Not all books have an isbn and author or title often produce a lot of results.

In our union catalog model the control number is perfect for linking. It allows to build a search link, that will go directly to the record in our union catalog or other library's catalogs. 

I suggest to add {CONTROLNUMBER} as new placeholder to OPACSearchForTitleIn.
Comment 1 Katrin Fischer 2010-11-24 06:29:44 UTC
Created attachment 2781 [details] [review]
Proposed patch

Makes {CONTROLNUMBER} available as new placeholder in
system preference OPACSearchForTitleIn.

{CONTROLNUMBER} will be replaced by the number in tag 001
Comment 2 Chris Cormack 2010-11-25 01:48:38 UTC
Patch pushed and merged, please test
Comment 3 Katrin Fischer 2010-11-25 14:59:06 UTC
Successfully tested in current HEAD.
Comment 4 Katrin Fischer 2010-11-28 12:39:26 UTC
Created attachment 2793 [details] [review]
Follow up to previous patch, hopefully fixing problems with non existing 001 fields
Comment 5 Chris Cormack 2010-11-29 18:06:28 UTC
Fix pushed, please test
Comment 6 Katrin Fischer 2010-12-11 07:05:01 UTC
Records without control numbers are no longer causing a error in OPAC detail view. Closing bug.